xcb_set_modifier_mapping(3)

NAME
xcb_set_modifier_mapping -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_set_modifier_mapping_cookie_t xcb_set_modifier_mapping(xcb_connection_t *conn, uint8_t keycodes_per_modifier, const xcb_keycode_t *keycodes);

  Reply datastructure

typedef struct xcb_set_modifier_mapping_reply_t {
    uint8_t  response_type;
    uint8_t  status;
    uint16_t sequence;
    uint32_t length;
} xcb_set_modifier_mapping_reply_t;

  Reply function

xcb_set_modifier_mapping_reply_t *xcb_set_modifier_mapping_reply(xcb_connection_t *conn, xcb_set_modifier_mapping_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

keycodes_per_modifier
    TODO: NOT YET DOCUMENTED.

keycodes
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_SET_MODIFIER_MAPPING. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

status
    One of the following values:

    XCB_MAPPING_STATUS_SUCCESS
        TODO: NOT YET DOCUMENTED.

    XCB_MAPPING_STATUS_BUSY
        TODO: NOT YET DOCUMENTED.

    XCB_MAPPING_STATUS_FAILURE
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_set_modifier_mapping_cookie_t. Errors have to be handled when calling the reply function xcb_set_modifier_mapping_reply. If you want to handle errors in the event loop instead, use xcb_set_modifier_mapping_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.